# Uses of Class
javax.swing.JPanel

Packages that use JPanel
Package
Description
com.sun.tools.jconsole
This package contains the JConsole API.
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.colorchooser
Contains classes and interfaces used by the `JColorChooser` component.
javax.swing.plaf.basic
Provides user interface objects built according to the Basic look and feel.
javax.swing.plaf.metal
Provides user interface objects built according to the Java look and feel (once codenamed Metal), which is the default look and feel.
javax.swing.plaf.synth
Synth is a skinnable look and feel in which all painting is delegated.

## Uses of JPanel in com.sun.tools.jconsole

Methods in com.sun.tools.jconsole that return types with arguments of type JPanel
Modifier and Type
Method
Description
`abstract Map<String,JPanel>`
JConsolePlugin.`getTabs()`
Returns the tabs to be added in JConsole window.

## Uses of JPanel in javax.swing

Subclasses of JPanel in javax.swing
Modifier and Type
Class
Description
`static class`
`JSpinner.DateEditor`
An editor for a `JSpinner` whose model is a `SpinnerDateModel`.
`static class`
`JSpinner.DefaultEditor`
A simple base class for more specialized editors that displays a read-only view of the model's current value with a `JFormattedTextField`.
`static class`
`JSpinner.ListEditor`
An editor for a `JSpinner` whose model is a `SpinnerListModel`.
`static class`
`JSpinner.NumberEditor`
An editor for a `JSpinner` whose model is a `SpinnerNumberModel`.
Methods in javax.swing that return JPanel
Modifier and Type
Method
Description
`JPanel`
JLayer.`createGlassPane()`
Called by the constructor methods to create a default `glassPane`.
`JPanel`
JLayer.`getGlassPane()`
Returns the `JLayer`'s glassPane component or `null`.
Methods in javax.swing with parameters of type JPanel
Modifier and Type
Method
Description
`void`
JLayer.`setGlassPane(JPanel glassPane)`
Sets the `JLayer`'s glassPane component, which can be `null`.

## Uses of JPanel in javax.swing.colorchooser

Subclasses of JPanel in javax.swing.colorchooser
Modifier and Type
Class
Description
`class`
`AbstractColorChooserPanel`
This is the abstract superclass for color choosers.

## Uses of JPanel in javax.swing.plaf.basic

Methods in javax.swing.plaf.basic that return JPanel
Modifier and Type
Method
Description
`JPanel`
BasicFileChooserUI.`getAccessoryPanel()`
Returns the accessory panel.
Methods in javax.swing.plaf.basic with parameters of type JPanel
Modifier and Type
Method
Description
`protected void`
BasicPanelUI.`installDefaults(JPanel p)`
Method for installing panel properties.
`protected void`
BasicPanelUI.`uninstallDefaults(JPanel p)`
Method for uninstalling panel properties.

## Uses of JPanel in javax.swing.plaf.metal

Methods in javax.swing.plaf.metal that return JPanel
Modifier and Type
Method
Description
`protected JPanel`
MetalFileChooserUI.`createDetailsView(JFileChooser fc)`
Constructs a details view.
`protected JPanel`
MetalFileChooserUI.`createList(JFileChooser fc)`
Constructs a details view.
`protected JPanel`
MetalFileChooserUI.`getBottomPanel()`
Returns the bottom panel.
`protected JPanel`
MetalFileChooserUI.`getButtonPanel()`
Returns the button panel.

## Uses of JPanel in javax.swing.plaf.synth

Methods in javax.swing.plaf.synth with parameters of type JPanel
Modifier and Type
Method
Description
`protected void`
SynthPanelUI.`installListeners(JPanel p)`
Installs listeners into the panel.
`protected void`
SynthPanelUI.`uninstallListeners(JPanel p)`
Uninstalls listeners from the panel.